### Virtual Method

# Gio MountOperation ask_question

#### Declaration [src]

    void
    ask_question (
      GMountOperation* op,
      const char* message,
      const char** choices
    )

#### Description [src]

Virtual implementation of `GMountOperation::ask-question`.

#### Parameters

`message`

  Type: `const char*`

  String containing a message to display to the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`choices`

  Type: An array of `utf8`

  An array of strings for each possible choice.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.